# Class SXMLResources

java.lang.Object
com.io7m.xstructural.xml.SXMLResources

public final class SXMLResources extends Object
Resources exposed by the module.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SXMLResources()`
  Construct a resource provider.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URL`
  `cssReset()`
  `URL`
  `cssResetEPUB()`
  `URL`
  `cssStructural()`
  `URL`
  `cssStructuralEPUB()`
  `URL`
  `cssStructuralMultiPage()`
  `URL`
  `cssStructuralSinglePage()`
  `URL`
  `s8Epub()`
  `URL`
  `s8EpubPackage()`
  `URL`
  `s8Index()`
  `URL`
  `s8Multi()`
  `URL`
  `s8Single()`
  `URL`
  `schema()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use `schema7p0()`
  `URL`
  `schema7p0()`
  `URL`
  `schema8p0()`
  `URL`
  `w3cXHTMLResourceOf(String name)`
  Find a W3C XHTML schema resource.
  `Stream<String>`
  `w3cXHTMLResources()`
  `URL`
  `w3cXHTMLSchema()`
  `URL`
  `xsdResourceOf(String name)`
  Find an XSD resource with the given name.
  `Stream<String>`
  `xsdResources()`
  `URL`
  `xstructuralResourceOf(String name)`
  Find the xstructural resource with the given name.
  `Stream<String>`
  `xstructuralResources()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SXMLResources

    public SXMLResources()
    Construct a resource provider.

- ## Method Details

  - ### w3cXHTMLResourceOf

    public URL w3cXHTMLResourceOf(String name)
    Find a W3C XHTML schema resource.
    Parameters:
      `name` - The name
    Returns:
      The resource URL

  - ### w3cXHTMLResources

    public Stream<String> w3cXHTMLResources()
    Returns:
      The available W3C XHTML schema resources

  - ### xsdResourceOf

    public URL xsdResourceOf(String name)
    Find an XSD resource with the given name.
    Parameters:
      `name` - The name
    Returns:
      The resource URL

  - ### xsdResources

    public Stream<String> xsdResources()
    Returns:
      The available XSD resources

  - ### xstructuralResourceOf

    public URL xstructuralResourceOf(String name)
    Find the xstructural resource with the given name.
    Parameters:
      `name` - The name
    Returns:
      The resource URL

  - ### xstructuralResources

    public Stream<String> xstructuralResources()
    Returns:
      The available xstructural resources

  - ### w3cXHTMLSchema

    public URL w3cXHTMLSchema()
    Returns:
      The W3C XHTML schema

  - ### schema

    @Deprecated(since="1.3.0", forRemoval=true) public URL schema()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use `schema7p0()`
    Returns:
      The xstructural XSD schema

  - ### schema7p0

    public URL schema7p0()
    Returns:
      The xstructural XSD 7.0 schema
    Since:
      1.3.0

  - ### schema8p0

    public URL schema8p0()
    Returns:
      The xstructural XSD 8.0 schema
    Since:
      1.3.0

  - ### s8Single

    public URL s8Single()
    Returns:
      The xstructural 8.0 single-page XSL stylesheet
    Since:
      1.3.0

  - ### s8Multi

    public URL s8Multi()
    Returns:
      The xstructural 8.0 multi-page XSL stylesheet
    Since:
      1.3.0

  - ### s8Index

    public URL s8Index()
    Returns:
      The xstructural 8.0 multi-page index XSL stylesheet
    Since:
      1.9.0

  - ### s8Epub

    public URL s8Epub()
    Returns:
      The xstructural 8.0 EPUB XSL stylesheet
    Since:
      1.3.0

  - ### s8EpubPackage

    public URL s8EpubPackage()
    Returns:
      The xstructural 8.0 EPUB package XSL stylesheet
    Since:
      1.3.0

  - ### cssStructural

    public URL cssStructural()
    Returns:
      The xstructural CSS stylesheet

  - ### cssStructuralEPUB

    public URL cssStructuralEPUB()
    Returns:
      The xstructural EPUB CSS stylesheet
    Since:
      1.3.0

  - ### cssReset

    public URL cssReset()
    Returns:
      The xstructural reset CSS stylesheet

  - ### cssResetEPUB

    public URL cssResetEPUB()
    Returns:
      The xstructural EPUB reset CSS stylesheet
    Since:
      1.3.0

  - ### cssStructuralSinglePage

    public URL cssStructuralSinglePage()
    Returns:
      The xstructural single-page CSS stylesheet
    Since:
      2.1.0

  - ### cssStructuralMultiPage

    public URL cssStructuralMultiPage()
    Returns:
      The xstructural multi-page CSS stylesheet
    Since:
      2.1.0